/*
 * TestContext.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using Eagle._Attributes;
using Eagle._Containers.Public;

namespace Eagle._Interfaces.Private
{
    [ObjectId("d770be83-2928-46b5-9762-2b60be1e9da8")]
    internal interface ITestContext : IThreadContext
    {
        int[] Statistics { get; set; }
        StringList Constraints { get; set; }
        StringList Skipped { get; set; }
        StringList Failures { get; set; }
        IntDictionary Counts { get; set; }
        StringList Match { get; set; }
        StringList Skip { get; set; }
        ReturnCodeDictionary ReturnCodeMessages { get; set; }

#if DEBUGGER
        StringDictionary Breakpoints { get; set; }
#endif

        string Path { get; set; }
    }
}
