/*
 * Defaults.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Globalization;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Text;
using Eagle._Components.Private.Delegates;
using _Private = Eagle._Components.Private;

namespace Eagle._Components.Private
{
    [Guid("4ef23e44-41c2-4ed3-b3b2-1fd6cc9c4dc0")]
    internal static class Defaults
    {
        #region Public Constants
        public static readonly TraceCallback TraceCallback = TraceOps.TraceCore;

        ///////////////////////////////////////////////////////////////////////

        public static readonly Encoding Encoding = Encoding.UTF8;

        ///////////////////////////////////////////////////////////////////////

        public const Assembly Assembly = null;
        public const string SubjectName = "Mistachkin Systems";
        public const string ProtocolId = "1";
        public const string PublicKeyToken = "29c6297630be05eb";
        public const string Name = "Eagle";
        public const CultureInfo Culture = null;
        public const Version PatchLevel = null;
        public const string CoreFileName = "Eagle.dll";
        public const string HashAlgorithm = "sha1";
        public const int Delay = 0;
        public const string MutexName = "Global\\Eagle_Setup";
        public const string BaseUri = "https://eagle.to/";
        public const string TagFileName = "update.txt";
        public const string UriFormat = "releases/{0}/Eagle{1}{2}{0}.exe";
        public const string CommandFormat = "{0}";
        public const string ArgumentFormat = "\"-d{0}\" -s2";
        public const BuildType BuildType = _Private.BuildType.Default;
        public const ReleaseType ReleaseType = _Private.ReleaseType.Default;
        public const SignatureFlags SignatureFlags = _Private.SignatureFlags.Default;
        public const string[] ShellArgs = null;

        ///////////////////////////////////////////////////////////////////////

        public const bool CoreIsAssembly = true;
        public const bool WhatIf = false;
        public const bool Verbose = false;
        public const bool Silent = false;
        public const bool Invisible = false;
        public const bool Force = false;
        public const bool Tracing = false;
        public const bool Logging = true;
        public const bool Shell = false;
        #endregion
    }
}
